## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_without tests

%global _description %{expand:
A simple package with utils to check whether versions number match PEP 440.}

Name:           python-pep440
Version:        0.1.1
Release:        %{autorelease}
Summary:        A simple package with utils to check whether versions number match Pep 440

License:        MIT
URL:            https://pypi.org/pypi/pep440
Source0:        %{pypi_source pep440}

BuildArch:      noarch

%description %_description

%package -n python3-pep440
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-pep440 %_description


%prep
%autosetup -n pep440-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pep440


%check
%if %{with tests}
%{pytest}
%endif


%files -n python3-pep440 -f %{pyproject_files}
%doc readme.md
%license LICENSE

%changelog
* Mon Aug 29 2022 Maíra Canal <mairacanal@riseup.net> 0.1.1-1
- Initial Fedora package
